<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/11/2008 *
 * ===================                          Last change: 10/11/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-config_refback.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Refback settings                                 *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Refback-Einstellungen                            *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if ((!defined('__SECURITY')) || (!isAdmin())) {
	die();
}

// Add description as navigation point
addMenuDescription('admin', __FILE__);

if (isFormSent()) {
	// Save configuration
	adminSaveSettingsFromPostData();
} else {
	// Prepare content
	$content = array(
		'refback_min_perc' => getConfig(('refback_min_perc')),
		'refback_max_perc' => getConfig(('refback_max_perc'))
	);

	// Add more content
	switch (getConfig('refback_enabled')) {
		case 'Y': // Refback enabled
			$content['refback_enabled_y'] = ' checked="checked"';
			$content['refback_enabled_n'] = '';
			break;

		case 'N': // Refback disabled
			$content['refback_enabled_y'] = '';
			$content['refback_enabled_n'] = ' checked="checked"';
			break;
	}

	// Load template
	loadTemplate('admin_config_refback', false, $content);
}

// [EOF]
?>
